/// An enumeration that represents the folders where articles and tutorials data and assets will be stored.
enum IndexPrefix: String, CaseIterable {
    /// A folder that contains all articles' assets and data generated is stored.
    case documentation
    /// A folder that contains all tutorials' assets and data generated is stored.
    case tutorials
}

// MARK: - Pathable

extension IndexPrefix: Pathable {
    
    // MARK: Computed
    
    var path: String {
        .init(format: .Format.Path.root, rawValue)
    }
    
}
